New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

[LIBCLOUD-605] Support HTTP-LB in GCE NodeDriver #429

Closed
wants to merge 1 commit into
base: trunk
from

Conversation

Projects
None yet
2 participants
@verb

verb commented Jan 7, 2015

This change adds coverage for GCE's HTTP-LB features via ex_* functions
in the GCE NodeDriver.

Also, this updates the existing ex_create_forwarding_rule to use a
more generic 'target' parameter. Previously this was 'targetpool', but
the GCE API has changed this to 'target' because it can be a targetPool,
targetInstance or targetHttpProxy. This update is backwards compatible.

@erjohnso This replaces PR #427

[LIBCLOUD-605] Support HTTP-LB in GCE NodeDriver
This change adds coverage for GCE's HTTP-LB features via ex_* functions
in the GCE NodeDriver.

Also, this updates the existing ex_create_forwarding_rule to use a
more generic 'target' parameter.  Previously this was 'targetpool', but
the GCE API has changed this to 'target' because it can be a targetPool,
targetInstance or targetHttpProxy.  This update is backwards compatible.

@asfgit asfgit closed this in ecd3673 Jan 8, 2015

@erjohnso

This comment has been minimized.

Show comment
Hide comment
@erjohnso

erjohnso Jan 8, 2015

Member

Thanks @verb!

Member

erjohnso commented Jan 8, 2015

Thanks @verb!

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment